Bug 112407 - Possible to add "pico" symlink "pico"?
Summary: Possible to add "pico" symlink "pico"?
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nano   
(Show other bugs)
Version: 1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-19 04:06 UTC by Chris Adams
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 19:23:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Adams 2003-12-19 04:06:13 UTC
Would it be possible to add a "pico" symlink to "nano" to the nano
package?  Most of the people at work use pico (they haven't learned
the wonders of vim I suppose), and a couple have asked "what happened
to pico" after installing FC1 on something at home or at work.  We
still have a large number of servers running older stuff (Red Hat
Linux moving to RHEL, several Cobalt Linux variants, Tru64, Solaris,
etc.) that will continue to have pico (and probably not nano anytime
soon) for a while to come, so having a symlink so that "pico" would
bring up a work-alike program would be nice.

I do see in the pico(1) man page "Pico is a trademark of the
University of Washington" though; does that prevent having the command
"pico" run an editor?

Comment 1 Alexandre Strube 2005-04-21 15:37:22 UTC
Debian has the pico symlink... Fedora could use it also. 

Comment 2 Matthew Miller 2006-07-11 17:23:23 UTC
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.



Comment 3 John Thacker 2006-10-25 19:23:36 UTC
This is still an issue; OTOH, the nano to pico symlink is commented out of the
RPM specfile intentionally.  It's that way for the copyright issue and won't be
changed.  (It is rather trivial to make the link yourself or uncomment the one
line in the spec.)


Note You need to log in before you can comment on or make changes to this bug.